﻿using DamageAssesment.Api.DocuLinks.Models;
using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.DocuLinks.Models
{
    public class Doculink : BaseDoculink
    {
        public List<DoculinkTranslation> documentsTranslations { get; set; }
    }
    public class ResDoculinks
    {
        public int linkTypeId { get; set; }
        public List<ResDoculink> doculinks { get; set; }   
    }
    public class ResDoculink:BaseDoculink
    {
        public object titles { get; set; }
        public object description { get; set; }
        public object linktypes { get; set; }
    }
    public class BaseDoculink
    {
        public int Id { get; set; }
        public int linkTypeId { get; set; }
        public bool IsActive { get; set; }
        public bool IsDeleted { get; set; }
        public List<DoculinkAttachments> doclinksAttachments { get; set; }
        public int CustomOrder { get; set; }
    }
}
