﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Employees.Db
{
    public class Employee
    {
        [Key]
        public int Id { get; set; }
        [StringLength(50)]
        public string EmployeeCode { get; set; }

        [StringLength(50)]
        public string Name { get; set; }

        public DateTime BirthDate { get; set; }

        [StringLength(50)]
        public string OfficePhoneNumber { get; set; }

        [StringLength(50)]
        public string Email { get; set; }
        public bool IsActive { get; set; }
        public string? PreferredLanguage { get; set; } = "en";
    }
}
