﻿using DamageAssesment.Api.Responses.Models;

namespace DamageAssesment.Api.Responses.Interfaces
{
    public interface IQuestionServiceProvider
    {
        Task<List<Question>> getQuestionsAsync(string language,string token);
        Task<List<SurveyQuestions>> getSurveyQuestionsAsync(int surveyId, string token);
        Task<Question> getQuestionsAsync(int questionId, string token);
        Task<List<QuestionCategory>> GetQuestionCategoriesAsync(string? language, string token);
    }
}
