﻿using DamageAssesment.Api.UsersAccess.Interfaces;

namespace DamageAssesment.Api.UsersAccess.Services
{
    public class ServiceProviderBase
    {
        protected readonly IConfiguration configuration;
        protected readonly IHttpUtil httpUtil;
        protected readonly ILogger<ServiceProviderBase> logger;
        protected string ressource;
        protected string urlBase;
        protected string url;


        public ServiceProviderBase(IConfiguration configuration, IHttpUtil httpUtil, ILogger<ServiceProviderBase> logger, string ressource, string urlBase)
        {
            this.configuration = configuration;
            this.httpUtil = httpUtil;
            this.logger = logger;
            this.ressource = ressource;
            this.urlBase = urlBase;
            url = urlBase + ressource;
        }
    }
}
